<h1>Welcome to Survey Poodle!</h1>
<h2>Please login...</h2>

<form [formGroup]="loginForm" >
    <div>
        <label for="username" hidden>Username</label>
        <input type="text" id="username" name="username" placeholder="Type your username!" formControlName="username" required minlength="2" maxlength="64" type="email">
    </div>
    <div>
        <label for="password" hidden>Password</label>
        <input type="password" id="password" name="password" placeholder="Type your password" formControlName="password" required>
    </div>
    <br>
    <div *ngIf="username.invalid && (username.dirty || username.touched)">
        <div *ngIf="username.errors.required">
            Username is required!
        </div>
        <div *ngIf="username.errors.minlength">
            The username must be at least 2 characters long. 
        </div>
        <div *ngIf="username.errors.maxlength">
            The username cannot be more than 64 characters long. 
        </div>
        <div *ngIf="username.errors.email">
            The username must be an e-mail address.
        </div>
    </div>
    <div *ngIf="password.invalid && (password.dirty || password.touched)">
        <div *ngIf="password.errors.required">
            You must enter your password!
        </div>
    </div>
    <br>
    <button type="button" (click)="onLoginClicked()" [disabled]="isLoading || loginForm.invalid">Login</button>
    <br>
</form>
<br>

Don't have an account yet? <a routerLink="/register"><button type="button">Sign up here</button></a>